IllegalMonitorStateException (Java Platform SE 8 )
Keywords: java.lang.IllegalMonitorStateException class
Date: 2015-11-18

compact1, compact2, compact3
java.lang

## Class IllegalMonitorStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalMonitorStateException

- All Implemented Interfaces:
    Serializable

      public class IllegalMonitorStateException
      extends RuntimeException

  Thrown to indicate that a thread has attempted to wait on an object's monitor or to notify other threads waiting on an object's monitor without owning the specified monitor.
  Since:
    JDK1.0
  See Also:
    `Object.notify()`, `Object.notifyAll()`, `Object.wait()`, `Object.wait(long)`, `Object.wait(long, int)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalMonitorStateException()` Constructs an `IllegalMonitorStateException` with no detail message.
    `IllegalMonitorStateException(String s)` Constructs an `IllegalMonitorStateException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalMonitorStateException

          public IllegalMonitorStateException()

      Constructs an `IllegalMonitorStateException` with no detail message.

    - #### IllegalMonitorStateException

          public IllegalMonitorStateException(String s)

      Constructs an `IllegalMonitorStateException` with the specified detail message.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.